summaryrefslogtreecommitdiffstats
path: root/share/examples/etc/rc
diff options
context:
space:
mode:
Diffstat (limited to 'share/examples/etc/rc')
-rw-r--r--share/examples/etc/rc243
1 files changed, 243 insertions, 0 deletions
diff --git a/share/examples/etc/rc b/share/examples/etc/rc
new file mode 100644
index 0000000..10599df
--- /dev/null
+++ b/share/examples/etc/rc
@@ -0,0 +1,243 @@
+#!/bin/sh
+# $Id: rc,v 1.29 1994/09/15 02:21:39 phk Exp $
+# From: @(#)rc 5.27 (Berkeley) 6/5/91
+
+# System startup script run by init on autoboot
+# or after single-user.
+# Output and error are redirected to console by init,
+# and the console is the controlling terminal.
+
+stty status '^T'
+
+# Set shell to ignore SIGINT (2), but not children;
+# shell catches SIGQUIT (3) and returns to single user after fsck.
+trap : 2
+trap : 3 # shouldn't be needed
+
+HOME=/; export HOME
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+export PATH
+
+if [ $1x = autobootx ]
+then
+ echo Automatic reboot in progress...
+ fsck -p
+ case $? in
+ 0)
+ ;;
+ 2)
+ exit 1
+ ;;
+ 4)
+ reboot
+ echo "reboot failed... help!"
+ exit 1
+ ;;
+ 8)
+ echo "Automatic file system check failed... help!"
+ exit 1
+ ;;
+ 12)
+ echo "Reboot interrupted"
+ exit 1
+ ;;
+ 130)
+ # interrupt before catcher installed
+ exit 1
+ ;;
+ *)
+ echo "Unknown error in reboot"
+ exit 1
+ ;;
+ esac
+else
+ echo Skipping disk checks ...
+fi
+
+trap "echo 'Reboot interrupted'; exit 1" 3
+
+swapon -a
+
+# Check for diskless boot, and remount the root RW.
+a=`mount`
+if [ 0 != `expr "$a" : '^[^/]*:/.* on /'` ] ; then
+ mount -u -o rw /
+fi
+
+umount -a >/dev/null 2>&1
+mount -a -t nonfs
+
+# If the machine runs wall CMOS clock (compatible with MSDOS),
+# activate following line by creating empty file /etc/wall_cmos_clock
+# If this file not exist, following line does nothing (assumed
+# the machine runs UTC CMOS clock). See adjkerntz(8) for details.
+adjkerntz -i
+
+# configure serial devices
+if [ -f /etc/rc.serial ]
+then
+ sh /etc/rc.serial
+fi
+
+# set hostname, turn on network
+echo 'starting network'
+. /etc/netstart
+
+# clean up left-over files
+rm -f /etc/nologin
+rm -f /var/spool/lock/*
+rm -f /var/spool/uucp/.Temp/*
+# don't add .[a-z]* to rm, because of .adjkerntz file name
+(cd /var/run && { rm -rf -- *; cp /dev/null utmp; chmod 644 utmp; })
+
+echo -n 'starting system logger'
+rm -f /dev/log
+syslogd
+
+# $timedflags is imported from /etc/netstart;
+# if $timedflags == NO, timed isn't run.
+if [ X${timedflags} != X"NO" ]; then
+ echo -n ', time daemon'; timed $timedflags
+fi
+echo '.'
+
+# /var/crash should be a directory or a symbolic link
+# to the crash directory if core dumps are to be saved.
+if [ -d /var/crash ]; then
+ echo checking for core dump...
+ savecore /var/crash
+fi
+
+# echo -n 'checking quotas:'
+#quotacheck -a
+# echo ' done.'
+#quotaon -a
+
+# build ps databases
+kvm_mkdb /kernel
+dev_mkdb
+
+chmod 666 /dev/tty[pqrs]*
+
+# check the password temp/lock file
+if [ -f /etc/ptmp ]
+then
+ logger -s -p auth.err \
+ 'password file may be incorrect -- /etc/ptmp exists'
+fi
+
+# Recover elvis editor files.
+echo preserving editor files
+(cd /var/tmp && /usr/libexec/elvispreserve "-the system rebooted" elv* &&
+ rm -f elvis[0-9a-f][0-9a-f][0-9a-f][0-9a-f]* \
+ elvis_[0-9a-f][0-9a-f][0-9a-f][0-9a-f]*)
+
+# Recover vi editor files.
+virecovery=/var/tmp/vi.recover/recover.*
+if [ "$virecovery" != "/var/tmp/vi.recover/recover.*" ]; then
+ echo 'Recovering vi editor sessions'
+ for i in $virecovery; do
+ sendmail -t < $i
+ done
+fi
+
+echo clearing /tmp
+
+# prune quickly with one rm, then use find to clean up /tmp/[lq]*
+# (not needed with mfs /tmp, but doesn't hurt there...)
+(cd /tmp && rm -rf [a-km-pr-zA-Z]* &&
+ find -d . ! -name . ! -name lost+found ! -name quotas -exec rm -rf -- {} \;)
+
+# echo 'turning on accounting'; accton /var/account/acct
+
+echo -n standard daemons:
+echo -n ' cron'; cron
+echo '.'
+
+echo -n starting network daemons:
+
+# Portmapper should always be run, to provide RPC services for inetd.
+if [ -x /usr/sbin/portmap ]; then
+ echo -n ' portmap'; portmap
+fi
+
+# $gated and $routedflags are imported from /etc/netstart.
+# If $gated == YES, gated is used; otherwise routed.
+# If $routedflags == NO, routed isn't run.
+if [ X${gated} = X"YES" -a -r /etc/gated.conf ]; then
+ echo -n ' gated'; gated $gatedflags
+elif [ X"${routedflags}" != X"NO" ]; then
+ echo -n ' routed'; routed $routedflags
+fi
+
+if [ X${name_server} = X"YES" -a -r /etc/named.boot ]; then
+ echo -n ' named'; named
+fi
+
+# $ntpdate and $xntpdflags are imported from /etc/netstart.
+# If $ntpdate != NO, run ntpdate $ntpdate to set the date correctly.
+# If $xntpdflags != NO, start xntpd.
+if [ X"${ntpdate}" != X"NO" ]; then
+ echo ' ntpdate'; ntpdate $ntpdate
+fi
+
+if [ X"${xntpdflags}" != X"NO" ]; then
+ if [ X"${tickadjflags}" != X"NO" ]; then
+ echo 'adjusting kernel for xntpd'; tickadj ${tickadjflags--A}
+ fi
+ echo 'starting xntpd'; xntpd ${xntpdflags}
+fi
+
+if [ X"${ntpdate}" != X"NO" -o X"${xntpdflags}" != X"NO" ]; then
+ echo -n 'starting more network daemons:'
+fi
+
+# $rwhod is imported from /etc/netstart;
+# if $rwhod is set to something other than NO, rwhod is run.
+if [ ${rwhod-NO} != "NO" ]; then
+ echo -n ' rwhod'; rwhod
+fi
+
+echo -n ' printer'; lpd
+
+if [ X${nfs_server} = X"YES" -a -r /etc/exports ]; then
+ echo -n ' mountd'; mountd
+ echo -n ' nfsd'; nfsd -u -t 4
+fi
+
+if grep nfs /etc/fstab > /dev/null ; then
+ echo -n ' nfsiod'; nfsiod -n 4
+fi
+
+# $sendmail_flags is imported from /etc/netstart;
+# if $sendmail_flags is something other than NO, sendmail is run.
+if [ X"${sendmail_flags}" != X"NO" -a -r /etc/sendmail.cf ]; then
+ echo -n ' sendmail'; sendmail ${sendmail_flags}
+fi
+
+echo -n ' inetd'; inetd
+echo '.'
+
+mount -a -t nfs >/dev/null 2>&1 & # XXX shouldn't need background
+
+# if [ -x /usr/libexec/xtend ]; then
+# echo -n ' xtend'; /usr/libexec/xtend
+# fi
+
+# Make shared lib searching a little faster. Leave /usr/lib first if you
+# add your own entries or you may come to grief.
+if [ -x /sbin/ldconfig ]; then
+ _LDC=/usr/lib
+ if [ -d /usr/X11R6/lib ]; then _LDC="${_LDC} /usr/X11R6/lib" ; fi
+ if [ -d /usr/X386/lib ]; then _LDC="${_LDC} /usr/X386/lib" ; fi
+ if [ -d /usr/local/lib ]; then _LDC="${_LDC} /usr/local/lib" ; fi
+ if [ -d /usr/gnu/lib ]; then _LDC="${_LDC} /usr/gnu/lib" ; fi
+ echo 'setting ldconfig path:' ${_LDC}
+ ldconfig ${_LDC}
+fi
+
+sh /etc/rc.local
+
+date
+
+exit 0
OpenPOWER on IntegriCloud